curl --request GET \
--url https://api.veryfront.com/projects/{project_reference}/job-batches/{batch_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target": "<string>",
"job_count": 1,
"status_counts": {
"submitted": 1,
"working": 1,
"completed": 1,
"failed": 1,
"canceled": 1
},
"created_at": "<string>",
"updated_at": "<string>",
"result": {
"kind": "knowledge_ingest",
"total_count": 1,
"completed_count": 1,
"skipped_count": 1,
"failed_count": 1,
"processing": [
{
"label": "<string>",
"path": "<string>",
"upload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remote_path": "<string>",
"warning_count": 1
}
],
"completed": [
{
"label": "<string>",
"path": "<string>",
"upload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remote_path": "<string>",
"warning_count": 1
}
],
"skipped": [
{
"label": "<string>",
"path": "<string>",
"upload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remote_path": "<string>",
"warning_count": 1,
"message": "<string>"
}
],
"failed": [
{
"label": "<string>",
"path": "<string>",
"upload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remote_path": "<string>",
"warning_count": 1,
"message": "<string>"
}
],
"remaining": [
{
"label": "<string>",
"path": "<string>",
"upload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remote_path": "<string>",
"warning_count": 1
}
],
"remaining_label": "Remaining Files"
}
}Get aggregate details for a related batch of jobs
curl --request GET \
--url https://api.veryfront.com/projects/{project_reference}/job-batches/{batch_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target": "<string>",
"job_count": 1,
"status_counts": {
"submitted": 1,
"working": 1,
"completed": 1,
"failed": 1,
"canceled": 1
},
"created_at": "<string>",
"updated_at": "<string>",
"result": {
"kind": "knowledge_ingest",
"total_count": 1,
"completed_count": 1,
"skipped_count": 1,
"failed_count": 1,
"processing": [
{
"label": "<string>",
"path": "<string>",
"upload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remote_path": "<string>",
"warning_count": 1
}
],
"completed": [
{
"label": "<string>",
"path": "<string>",
"upload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remote_path": "<string>",
"warning_count": 1
}
],
"skipped": [
{
"label": "<string>",
"path": "<string>",
"upload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remote_path": "<string>",
"warning_count": 1,
"message": "<string>"
}
],
"failed": [
{
"label": "<string>",
"path": "<string>",
"upload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remote_path": "<string>",
"warning_count": 1,
"message": "<string>"
}
],
"remaining": [
{
"label": "<string>",
"path": "<string>",
"upload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remote_path": "<string>",
"warning_count": 1
}
],
"remaining_label": "Remaining Files"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.